package com.govmade.modules.system.service.impl;

import java.util.List;
import java.util.Map;
import java.util.Set;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.govmade.common.utils.PageUtils;
import com.govmade.common.utils.Query;
import com.govmade.modules.system.dao.ModuleDao;
import com.govmade.modules.system.entity.ModuleEntity;
import com.govmade.modules.system.service.ModuleService;

import cn.hutool.core.util.StrUtil;



/**
 * 系统管理 - 模块设置
 * 
 * @author 刘弈臻
 * @date 2018年8月9日
 */
@Service("ModuleService")
public class ModuleServiceImpl extends ServiceImpl<ModuleDao, ModuleEntity> implements ModuleService{

	@Override
	public PageUtils queryPage(Map<String, Object> params) {
		
		String name = (String) params.get("name");
		IPage<ModuleEntity> page = this.selectPage(new Query<ModuleEntity>(params).getPage(),
				new QueryWrapper<ModuleEntity>()
				.like(StrUtil.isNotBlank(name), "name", name));
		return new PageUtils(page);
	}
	
	@Override
	public List<ModuleEntity> queryModuleList(){
		
		return super.selectList(new QueryWrapper<ModuleEntity>().eq("state", 1));		
	}
	
	@Override
	public void save(ModuleEntity module) {
		super.insertOrUpdate(module);
	}
	
	@Override
	public void deleteBatch(Set<Long> ids) {
		this.baseMapper.deleteBatch(ids);
	}
	
	@Override
	public Integer checkModule(String name) {
		return super.selectCount(new QueryWrapper<ModuleEntity>().eq("name", name));
	}
}
