package com.govmade.modules.system.service.impl;

import java.util.Map;
import java.util.Set;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.govmade.common.utils.PageUtils;
import com.govmade.common.utils.Query;
import com.govmade.modules.system.dao.UserDao;
import com.govmade.modules.system.entity.UserEntity;
import com.govmade.modules.system.service.UserService;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;

/**
 * 系统管理 - 用户设置
 * 
 * @author Fred
 * @email fangtaosh@qq.com
 * @date 2018年8月7日
 */
@Service("UserService")
public class UserServiceImpl extends ServiceImpl<UserDao, UserEntity> implements UserService {

	@Override
	public PageUtils queryPage(Map<String, Object> params) {
		// TODO Auto-generated method stub
		String username = (String) params.get("username");
		Long deptId = (Long) params.get("deptId");

		IPage<UserEntity> page = this.selectPage(new Query<UserEntity>(params).getPage(),
				new QueryWrapper<UserEntity>().like(StrUtil.isNotBlank(username), "username", username)
						.eq(ObjectUtil.isNotNull(deptId), "dept_id", deptId));

		return new PageUtils(page);
	}

	@Override
	public UserEntity queryById(Long id) {
		return super.selectById(id);
	}

	@Override
	public void save(UserEntity user) {
		super.insertOrUpdate(user);
	}

	@Override
	public void deleteBatch(Set<Long> ids) {
		super.update(null, new UpdateWrapper<UserEntity>().in("id", ids));
		//this.baseMapper.deleteBatch(ids);
	}

	@Override
	public boolean updatePassword(Long userId, String password, String newPassword) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public Integer checkUser(String username) {
		return super.selectCount(new QueryWrapper<UserEntity>().eq("username", username));
	}

	@Override
	public UserEntity queryOne(Map<String, Object> params) {
		String username = (String) params.get("username");
		return (UserEntity) this
				.selectOne(new QueryWrapper<UserEntity>().eq(StrUtil.isNotBlank(username), "username", username));
	}

	@Override
	public Integer userCount(Long id) {
		return super.selectCount(new QueryWrapper<UserEntity>().eq("dept_id", id));
	}
}
